> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyzecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update app settings



## OpenAPI

````yaml /openapi.json put /api/apps/{appId}/settings
openapi: 3.0.3
info:
  title: Hyze Cloud API
  description: Official API documentation
  version: 1.0.0
servers:
  - url: https://api.hyzecloud.com
security:
  - bearerAuth: []
paths:
  /api/apps/{appId}/settings:
    put:
      tags:
        - Applications
      summary: Update app settings
      operationId: putApiAppsByAppIdSettings
      parameters:
        - name: appId
          in: path
          required: true
          schema:
            minLength: 1
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  minLength: 1
                  type: string
                runtime:
                  type: string
                  enum:
                    - node
                    - bun
                    - python
                memoryMB:
                  type: number
                startupCommand:
                  type: string
                exposePort:
                  nullable: true
                  type: number
                subdomain:
                  nullable: true
                  type: string
                autoRestart:
                  type: boolean
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                name:
                  minLength: 1
                  type: string
                runtime:
                  type: string
                  enum:
                    - node
                    - bun
                    - python
                memoryMB:
                  type: number
                startupCommand:
                  type: string
                exposePort:
                  nullable: true
                  type: number
                subdomain:
                  nullable: true
                  type: string
                autoRestart:
                  type: boolean
          multipart/form-data:
            schema:
              type: object
              properties:
                name:
                  minLength: 1
                  type: string
                runtime:
                  type: string
                  enum:
                    - node
                    - bun
                    - python
                memoryMB:
                  type: number
                startupCommand:
                  type: string
                exposePort:
                  nullable: true
                  type: number
                subdomain:
                  nullable: true
                  type: string
                autoRestart:
                  type: boolean
      responses:
        default:
          description: Response
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-default: hyze_your_api_key

````